> ## Documentation Index
> Fetch the complete documentation index at: https://qatech-docs-bankid-manual-auth.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get run

> Get a run by shortId with test cases



## OpenAPI

````yaml /api-reference/api.json get /run/{shortId}
openapi: 3.0.0
info:
  title: QA.tech API
  version: 1.0.0
  description: API for managing test runs, test cases, and project configuration
servers:
  - url: https://api.qa.tech/v1
    description: Production
    variables: {}
security: []
tags: []
paths:
  /run/{shortId}:
    get:
      description: Get a run by shortId with test cases
      operationId: GetRun
      parameters:
        - name: shortId
          in: path
          required: true
          schema:
            type: string
        - name: testCases
          in: query
          required: false
          schema:
            type: string
            enum:
              - failed
              - all
          description: >-
            Return run with test cases: "failed" (only failed/skipped/error) or
            "all"
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetRunResponse'
        '400':
          description: Validation error or bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '403':
          description: Account suspended or invalid token
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
      security:
        - bearerAuth: []
components:
  schemas:
    GetRunResponse:
      type: object
      required:
        - id
        - shortId
        - status
        - result
        - runTestCases
      properties:
        id:
          type: string
        shortId:
          type: string
        status:
          type: string
        result:
          type: string
          nullable: true
        runTestCases:
          type: array
          items:
            $ref: '#/components/schemas/RunTestCase'
    RunTestCase:
      type: object
      required:
        - id
        - shortId
        - name
        - status
        - result
        - resultTitle
        - evaluationThought
        - promptGoal
        - promptExamples
      properties:
        id:
          type: string
        shortId:
          type: string
        name:
          type: string
        status:
          type: string
        result:
          type: string
          nullable: true
        resultTitle:
          type: string
          nullable: true
        evaluationThought:
          type: string
          nullable: true
        promptGoal:
          type: string
          nullable: true
        promptExamples:
          type: string
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Project API token from Settings > Integrations > API. The token is
        scoped to a specific project.

````